import { FeatureRunner } from './runner';
declare type WebhookRequest = {
    headers: {
        [key: string]: string;
    };
    body: object;
};
export declare class WebhookReceiver {
    private readonly queueUrl;
    latestWebhookRequest?: WebhookRequest;
    constructor(queueUrl: string);
    receiveWebhookRequest(MessageGroupId: string, runner: FeatureRunner<any>): Promise<WebhookRequest>;
    clearQueue(): Promise<void>;
}
export {};
